> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bizmori.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 주문 목록 조회

> 페이지네이션을 포함한 주문 목록을 조회합니다.
- 상태, 타입, 채널로 필터링 가능
- 키워드 검색 지원
- 최신순 정렬




## OpenAPI

````yaml /ko/api-reference/openapi.yaml get /api/v2/orders
openapi: 3.0.0
info:
  title: BIZ MORI API
  version: 2.0.0
  description: |
    BIZ MORI API는 디지털 콘텐츠 보호를 위한 네 가지 핵심 서비스를 제공합니다:
    - **Anti-AI**: 이미지를 AI 학습으로부터 보호
    - **Watermark Embed**: 이미지에 보이지 않는 디지털 워터마크 삽입
    - **Watermark Extract**: 이미지에서 워터마크 추출 및 검증
    - **AI Detection**: 이미지가 AI로 생성되었는지 감지
  contact:
    name: BIZ MORI 지원
    email: support@bizmori.com
servers:
  - url: https://api.bizmori.com
    description: 프로덕션
security: []
tags:
  - name: Anti-AI
    description: AI 학습 방지 이미지 보호 주문
  - name: Watermark Embed
    description: 워터마크 삽입 주문
  - name: Watermark Extract
    description: 워터마크 추출 주문
  - name: AI Detection
    description: AI 생성 이미지 감지 주문
  - name: Orders
    description: 주문 조회 및 관리
  - name: Webhooks
    description: 웹훅 설정 및 이벤트
paths:
  /api/v2/orders:
    get:
      tags:
        - Orders
      summary: 주문 목록 조회
      description: |
        페이지네이션을 포함한 주문 목록을 조회합니다.
        - 상태, 타입, 채널로 필터링 가능
        - 키워드 검색 지원
        - 최신순 정렬
      parameters:
        - in: query
          name: page
          schema:
            type: integer
            default: 1
            minimum: 1
          description: 페이지 번호
        - in: query
          name: limit
          schema:
            type: integer
            default: 10
            minimum: 1
            maximum: 100
          description: 페이지당 항목 수 (-1은 전체 조회)
        - in: query
          name: keyword
          schema:
            type: string
          description: 검색 키워드
        - in: query
          name: status
          schema:
            type: string
            enum:
              - pending
              - inProgress
              - complete
              - failed
              - expired
              - all
            default: all
          description: 상태 필터
        - in: query
          name: type
          schema:
            type: string
            enum:
              - antiAi
              - watermarkEmbed
              - watermarkExtract
              - aiDetection
              - all
          description: 주문 타입 필터
        - in: query
          name: channel
          schema:
            type: string
            enum:
              - api
              - web
              - all
            default: all
          description: 채널 필터
      responses:
        '200':
          description: 성공
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      orders:
                        type: array
                        items:
                          $ref: '#/components/schemas/Order'
                      pageInfo:
                        $ref: '#/components/schemas/PageInfo'
        '401':
          $ref: '#/components/responses/Unauthorized'
      security:
        - BearerAuth: []
      x-codeSamples:
        - lang: curl
          label: cURL
          source: >-
            curl -X GET
            "https://api.bizmori.com/api/v2/orders?page=1&limit=10&status=all" \
              -H "Authorization: Bearer YOUR_API_TOKEN"
        - lang: javascript
          label: JavaScript
          source: >-
            const params = new URLSearchParams({ page: 1, limit: 10, status:
            'all' });

            const response = await fetch(
              `https://api.bizmori.com/api/v2/orders?${params}`,
              { headers: { 'Authorization': 'Bearer YOUR_API_TOKEN' } }
            );

            const data = await response.json();
        - lang: python
          label: Python
          source: |-
            import requests

            response = requests.get(
                'https://api.bizmori.com/api/v2/orders',
                headers={'Authorization': 'Bearer YOUR_API_TOKEN'},
                params={'page': 1, 'limit': 10, 'status': 'all'}
            )
            data = response.json()
components:
  schemas:
    Order:
      type: object
      properties:
        orderId:
          type: string
          description: 주문 ID
        orderName:
          type: string
          description: 주문 이름
        type:
          type: string
          enum:
            - antiAi
            - watermarkEmbed
            - watermarkExtract
            - aiDetection
          description: 주문 타입
        channel:
          type: string
          enum:
            - api
            - web
          description: 주문 채널
        status:
          type: string
          enum:
            - pending
            - inProgress
            - complete
            - failed
            - expired
          description: |
            주문 상태
            * pending - 대기 중
            * inProgress - 처리 중
            * complete - 완료
            * failed - 실패
            * expired - 만료됨 (주문 생성 후 7일이 지나면 파일 다운로드 불가)
        fileCount:
          type: integer
          description: 파일 수
        thumbnailImageUrl:
          type: string
          format: uri
          nullable: true
          description: 썸네일 이미지 URL (프리사인드 URL)
        createdAt:
          type: string
          format: date-time
          description: 생성 시각
        updatedAt:
          type: string
          format: date-time
          description: 수정일시
        probability:
          type: number
          nullable: true
          description: AI 감지 확률 (aiDetection 주문 전용)
        statusCode:
          type: string
          nullable: true
          enum:
            - likely_real
            - uncertain_real
            - uncertain_ai
            - likely_ai
          description: |
            AI 감지 결과 코드 (aiDetection 주문 전용)
            * likely_real - 실제 콘텐츠일 가능성 높음
            * uncertain_real - 불확실, 실제 콘텐츠 쪽에 가까움
            * uncertain_ai - 불확실, AI 생성 쪽에 가까움
            * likely_ai - AI 생성 콘텐츠일 가능성 높음
    PageInfo:
      type: object
      properties:
        totalItems:
          type: integer
          description: 전체 항목 수
        totalPages:
          type: integer
          description: 전체 페이지 수
        currentPage:
          type: integer
          description: 현재 페이지 번호
        itemsPerPage:
          type: integer
          description: 페이지당 항목 수
    ErrorResponse:
      type: object
      properties:
        code:
          type: string
          description: 에러 코드
  responses:
    Unauthorized:
      description: 인증 실패
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            code: AUTH_NOT_AUTHENTICATED
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: 외부 클라이언트 접근을 위한 API 키

````